Subject: Re: git-svn segmetation fault

From: Wink Saville <[email-masked]>
Date: Sat, 02 Feb 2008 17:21:59 -0800

Steven Walter wrote:
> On Sat, Feb 02, 2008 at 10:56:40AM -0800, Wink Saville wrote:
>   
>> <I did that but a rebase command resulted in: />
>>
>> wink@ic2d1:$ git svn rebase
>> Unable to determine upstream SVN information from working tree history
>>
>> <I've bee using git-svn for a few days without trouble. Do I need
>> the do another "git svn clone" using the base url rather than
>> pointing to the trunk? />
>>     
>
> You shouldn't have to clone again.  First time removing .git/svn, then
> running "git svn fetch" (which ought to rebuild what was there).  You
> ought to be able to rebase after that.
>   
I've messed something up, I've just re-cloned and all is well.

Actually, a related question which you seem to imply from
your answer to the crash. I have the local git repo and also
one on a local server which I created as follows:

local$: git svn clone -s https://async-msgcomp.googlecode.com/svn amc
local$: ssh srvr
srvr$: cd <to local server/path to repo>
srvr$: mkdir amc.git
srvr$: cd amc.git
srvr$: git --bare init --shared
srvr$: exit
local$: cd amc
local$: git remote add origin git:<to local server/path to repo/amc.git>
local$: git push --all

So at this point amc/.git/config looks like:

[core]
        repositoryformatversion = 0
        filemode = true
        bare = false
        logallrefupdates = true
[svn-remote "svn"]
        url = https://async-msgcomp.googlecode.com/svn
        fetch = trunk:refs/remotes/trunk
        branches = branches/*:refs/remotes/*
        tags = tags/*:refs/remotes/tags/*
[remote "origin"]
        url = git://192.168.0.8/amc.git
        fetch = +refs/heads/*:refs/remotes/origin/*
wink@ic2d1:$

I now have three repositories one local git repo, one git repo on srvr
and one svn repo at googlecode.com. I feel really good and backed up
to the max:) But assume the svn repo is huge and the initial git svn
clone takes a long time.

What steps would be needed to recreate a "local git repo" from the
"git repo on srvr" that I could use against the svn repo?

I tried a little test, I cloned my git repo on srvr locally to amc-xx
and added the [svn-remote "svn"] section to amc-xx/.git/config
and then did a git-svn fetch. From what happened it looks like I
just did a git svn clone and didn't save any time.

Also, a follow up can I create an svn repo from a git repo.

Anyway, thanks for the help,

Wink